slony1-2 (2.2.11-3.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 22 Sep 2023 13:49:30 +0200

slony1-2 (2.2.11-3) unstable; urgency=medium

  * Revert usage of ${postgresql:Depends}, needs more pg_buildext.

 -- Christoph Berg <myon@debian.org>  Fri, 22 Sep 2023 13:49:30 +0200

slony1-2 (2.2.11-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:55:01 +0200

slony1-2 (2.2.11-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Nov 2022 16:21:33 +0100

slony1-2 (2.2.10-5) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Oct 2022 10:25:57 +0100

slony1-2 (2.2.10-4) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * DH 10, and disable dh_autoreconf.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Oct 2022 16:14:08 +0200

slony1-2 (2.2.10-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Nov 2021 21:54:44 +0100

slony1-2 (2.2.10-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:10:21 +0200

slony1-2 (2.2.10-1) unstable; urgency=medium

  * New upstream version.
  * debian/tests: Append extra _ to version in symbols.
  * Drop "uupdate" from watch file.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Jan 2021 17:11:43 +0100

slony1-2 (2.2.8-6) unstable; urgency=medium

  * Test loading PG functions directly instead of relying on the brittle
    testsuite.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Oct 2020 14:57:32 +0200

slony1-2 (2.2.8-5) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * debian/tests: Use installed-versions instead of supported-versions.
  * Remove obsolete lintian overrides.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 23:37:31 +0200

slony1-2 (2.2.8-4) unstable; urgency=medium

  * Pull patch from upstream to fix compiling with -fno-common.
    (Closes: #957815)

 -- Christoph Berg <myon@debian.org>  Wed, 29 Jul 2020 15:13:32 +0200

slony1-2 (2.2.8-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:29:46 +0100

slony1-2 (2.2.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:31:21 +0100

slony1-2 (2.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/gitlab-ci.yml.
  * src/parsestatements/Makefile: Add CPPFLAGS and LDFLAGS to test-scanner.
    Spotted by blhc.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Sep 2019 14:23:01 +0200

slony1-2 (2.2.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * debian/source/format: Remove bzip2 compression.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:55:02 +0200

slony1-2 (2.2.7-1) unstable; urgency=medium

  * New upstream version.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.
  * Remove autotools_dev from dh calls.
  * Remove compat code for pre-3.8 logrotate versions.
  * Mark slony1-2-doc as M-A: foreign.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Aug 2018 21:47:46 +0200

slony1-2 (2.2.6-1) unstable; urgency=medium

  * Team upload for PostgreSQL 10.
  * New upstream version.
  * Recommend time-daemon as an alternative to ntp, patch by Vincent Blut,
    merci! Closes: #852650.
  * Depend on lsb-base, thanks lintian.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 15:02:53 +0200

slony1-2 (2.2.5-2) unstable; urgency=medium

  * Team upload for 9.6 support.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2016 22:39:40 +0200

slony1-2 (2.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Add myself to uploaders.
  * B-D on libjpeg-turbo-progs as alternative to libjpeg-progs
    (Closes: 813396).

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 08 Jul 2016 21:55:00 +0200

slony1-2 (2.2.4-3) unstable; urgency=medium

  * Upload 9.5 to unstable.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 21:18:24 +0100

slony1-2 (2.2.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2015 21:17:20 +0200

slony1-2 (2.2.4-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Use autotools-dev to update config.{sub,guess} for new arches. Thanks
    Logan Rosen. (Closes: #751722)

  [ Christoph Berg ]
  * New upstream release.
  * debian/rules: Reverse the list of supported versions to have the default
    version first in module:Recommends. (Closes: #773754)
  * Remove build date from html docs to make binary builds reproducible.
  * debian/slony1-2-bin.slony1.init: Now really remove --pidfile option.
    (Closes: #767640)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 03 Feb 2015 11:12:02 +0100

slony1-2 (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 24 Jul 2014 14:14:38 +0200

slony1-2 (2.2.2-2) experimental; urgency=medium

  * B-D on pg-common 158 to build against 9.3 and 9.4.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 23:28:37 +0200

slony1-2 (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches:
    + 05_includedir-order.patch: Does not apply anymore.
    + logging.patch: Removed.
    + slon_start_pidfile.patch: Does its own pidfile handling now; adjust init
      script accordingly.
  * build-backend-separately.patch, debian/rules: slony1_funcs.so now contains
    a version number.
  * logshipping_ref-manvolnum: Fix manvolnum.
  * Update watch file to also include main page so it can see new branches.
  * Set team as maintainer.
  * Bump to dh 9.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 26 May 2014 17:19:43 +0200

slony1-2 (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * Use "all" in debian/pgversions, and D-B on pg-server-dev-all >= 148.
  * Take over as Maintainer, thanks Peter for maintaining this package so far!

 -- Christoph Berg <myon@debian.org>  Mon, 09 Sep 2013 17:28:58 +0200

slony1-2 (2.1.3-1) unstable; urgency=low

  * New upstream release
  * Make SLON_START_ARGS configurable in /etc/default/slony1.
    (closes: #580367)
  * Add 9.2 and 9.3 to supported versions
  * Auto-adjust the logrotate config to the logrotate version; set
    depends/breaks properly.
  * Add autopkgtest testsuite.
  * Add myself to Uploaders

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jun 2013 11:23:45 +0200

slony1-2 (2.1.2-1) unstable; urgency=low

  * New upstream release (closes: #678979)
    - Updated patches: 05_includedir-order.patch, logging.patch,
      slon_start_pidfile.patch
    - New patches: vpath.patch
  * Add some Lintian overrides for hard-to-fix issues
  * Remove "store listen" calls from test script; they are no longer
    necessary

 -- Peter Eisentraut <petere@debian.org>  Mon, 03 Sep 2012 13:14:30 -0400

slony1-2 (2.0.7-4) unstable; urgency=low

  [ Christoph Berg ]
  * Add Vcs headers.

  [ Peter Eisentraut ]
  * Updated standards version
  * Add "su" option to default logrotate configuration, which is required
    for proper operation in logrotate >= 3.8.  Add versioned dependency on
    logrotate, mainly to guard against faulty backporting.

 -- Peter Eisentraut <petere@debian.org>  Sun, 04 Mar 2012 12:43:37 +0200

slony1-2 (2.0.7-3) unstable; urgency=low

  * Resurrect the /usr/share/slony1/slony1_*.sql files that had gone
    missing in the previous version

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Nov 2011 20:43:58 +0200

slony1-2 (2.0.7-2) unstable; urgency=low

  * Changed build system from cdbs to dh
  * Build backend module for all server versions reported by pg_buildext
    (closes: #639478)

 -- Peter Eisentraut <petere@debian.org>  Wed, 26 Oct 2011 20:23:30 +0300

slony1-2 (2.0.7-1) unstable; urgency=low

  * New upstream release
    - Obsoleted patch: autoconf-groff.patch
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Sat, 27 Aug 2011 13:46:58 +0300

slony1-2 (2.0.6-1) unstable; urgency=low

  * New upstream release
    - Readded /usr/bin/slon_status

 -- Peter Eisentraut <petere@debian.org>  Wed, 08 Dec 2010 23:48:42 +0200

slony1-2 (2.0.5-1) unstable; urgency=low

  * New upstream release
    - /usr/bin/slon_status current not packaged because it is broken
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Mon, 11 Oct 2010 22:01:34 +0300

slony1-2 (2.0.4-1) unstable; urgency=low

  * New upstream release
    - Obsoleted patch: perl-shebang.patch
    - New patch: autoconf-groff.patch
    - Updated patch: 05_includedir-order.patch
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Mon, 19 Jul 2010 23:29:04 +0300

slony1-2 (2.0.3-1) unstable; urgency=low

  * New upstream release
    - Obsoleted patches: pg84-support.patch, tools-perl-quoting.patch,
      update-nodes.patch
    - Adjusted perl-shebang.patch
  * Uploaded to unstable
  * Excluded RC versions from watch file again

 -- Peter Eisentraut <petere@debian.org>  Sat, 17 Apr 2010 23:51:06 +0300

slony1-2 (2.0.3~rc3-3) experimental; urgency=low

  * Apply log file permission change also to Perl tools start method
  * Fixed remaining incorrect references to slony1-bin

 -- Peter Eisentraut <petere@debian.org>  Mon, 05 Apr 2010 17:00:15 +0000

slony1-2 (2.0.3~rc3-2) experimental; urgency=low

  * Added altperl tools man pages to clean rule
  * Make log files not readable by world, and instead relax permissions on
    /var/log/slony1 directory.  This brings slony1 in line with the
    postgresql package and general practice.
  * Updated standards version
  * Added fix for upgrade from 2.0.2 to 2.0.3-RC3 (update-nodes.patch)
  * Added fix for PostgreSQL 8.4 support in stored procedures
    (pg84-support.patch)
  * Include RC versions into watch file for now

 -- Peter Eisentraut <petere@debian.org>  Mon, 22 Mar 2010 23:14:19 +0200

slony1-2 (2.0.3~rc3-1) experimental; urgency=low

  * New upstream release candidate  (It turns out that the previous "stable"
    releases don't work well with PostgreSQL 8.4, or at all, so this is
    necessary.)
  * Combined 09_perltools-conf.patch and 10_perltools-start.patch into
    logging.patch
  * Fixed broken Perl shebang line in example script (perl-shebang.patch)
  * Added libpg-perl to Suggests because some example scripts use it
  * Fixed some syntax errors in example scripts (tools-perl-quoting.patch)

 -- Peter Eisentraut <petere@debian.org>  Mon, 25 Jan 2010 22:03:54 +0200

slony1-2 (2.0.2-5) experimental; urgency=low

  * Added support for running multiple clusters with the Perl tools method

 -- Peter Eisentraut <petere@debian.org>  Sun, 17 Jan 2010 18:31:15 +0200

slony1-2 (2.0.2-4) experimental; urgency=low

  * Allow /etc/default/slony1 to take plain node numbers, consistent with
    slon_start, and clarify the documentation about what the expected format
    is.
  * Removed redundant punctuation in calls to log_success_msg/log_failure_msg

 -- Peter Eisentraut <petere@debian.org>  Sun, 03 Jan 2010 22:26:30 +0200

slony1-2 (2.0.2-3) experimental; urgency=low

  * Separated version 2.0 into separate source package, because it is not 
    going to be made compatible with version 1.2.
  * Updated 05_includedir-order.patch
  * Added clean rule to debian/rules

 -- Peter Eisentraut <petere@debian.org>  Wed, 23 Dec 2009 13:56:48 +0200

slony1 (2.0.2-2) experimental; urgency=low

  * Switched source format to 3.0 (quilt)
  * Built against PostgreSQL 8.4
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Thu, 26 Nov 2009 22:46:04 +0200

slony1 (2.0.2-1) experimental; urgency=low

  * New upstream release
    - Obsoleted patches: manpage-install.patch, perlsharedir.patch,
      refentrytitle.patch, share_path.patch
    - Updated patches: 10_perltools-start.patch
  * Updated package sections
  * Added build dependency autotools-dev, per lintian
  * Added minimal man pages for altperl tools
  * Removed binary control fields duplicated from source package, per lintian
  * Differentiated the short descriptions for all packages, per lintian

 -- Peter Eisentraut <petere@debian.org>  Wed, 20 May 2009 14:27:54 +0300

slony1 (2.0.1-1) experimental; urgency=low

  * New upstream release (closes: #518030)
    - Updated patches: 10_perltools-start.patch, perlsharedir.patch
    - New patches: doc-install.patch, refentrytitle.patch, share_path.patch
    - Fixes various bashisms in /bin/sh scripts (closes: #489660)
  * Updated slony1-test.sh to specify event node for store node command, as is 
    now required
  * Added ${misc:Depends} everywhere, per lintian
  * Updated standards version
  * Updated watch file
  * Run the man page generation out of the patched upstream build system 
    instead of separately in debian/rules, for better maintainability
  * Install Slony-I-concept.pdf instead of .ps; apparently works again after 
    having been broken some time ago

 -- Peter Eisentraut <petere@debian.org>  Thu, 16 Apr 2009 21:37:46 +0300

slony1 (1.2.15-1) unstable; urgency=low

  * New upstream release
  * Replaced build dependency gs-gpl by ghostscript again
  * Updated standards version
  * Changed to debhelper level 7
  * Added libdbd-pg-perl to Recommends (closes: #499548)

 -- Peter Eisentraut <petere@debian.org>  Sat, 01 Nov 2008 14:28:08 +0200

slony1 (1.2.14-1) unstable; urgency=low

  * New upstream release
    - Obsoletes slonik-share-path.patch
  * Replaced build dependency ghostscript by gs-gpl, while ghostscript is
    broken
  * Fixed/updated doc-base section
  * Added a few more scripts from the tools directory

 -- Peter Eisentraut <petere@debian.org>  Tue, 20 May 2008 03:42:05 +0200

slony1 (1.2.13-1) unstable; urgency=low

  * New upstream release
    - Obsolete patches: bindir.patch
  * Built against PostgreSQL 8.3 (closes: #462503, #464374)
  * Updated standards version
  * Replaced build dependency gs-gpl by ghostscript (closes: #456900)

 -- Peter Eisentraut <petere@debian.org>  Thu, 14 Feb 2008 01:42:56 +0100

slony1 (1.2.12-1) unstable; urgency=low

  * New upstream release
    - Fixes execute script functionality (closes: #446992)
  * Added Homepage control field
  * Added openntpd and chrony as alternatives for ntp (closes: #448799)

 -- Peter Eisentraut <petere@debian.org>  Tue, 13 Nov 2007 17:23:55 +0100

slony1 (1.2.11-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Wed, 05 Sep 2007 11:01:55 +0200

slony1 (1.2.10-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 02 Jul 2007 12:59:24 +0200

slony1 (1.2.9-3) unstable; urgency=low

  * Build-depend on docbook2x >= 0.8.8-4 so that the man pages are built
    correctly
  * Added docbook-xml as build dependency

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 May 2007 16:59:59 +0200

slony1 (1.2.9-2) unstable; urgency=low

  * Added slony1_extract_schema.sh script to examples (closes: #403889)
  * Built against PostgreSQL 8.2 (closes: #419308, #419586, #419965)

 -- Peter Eisentraut <petere@debian.org>  Fri, 20 Apr 2007 10:33:31 +0200

slony1 (1.2.9-1) unstable; urgency=low

  * New upstream release
  * Updated watch file

 -- Peter Eisentraut <petere@debian.org>  Tue, 27 Mar 2007 18:09:07 +0200

slony1 (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 19 Mar 2007 10:23:27 +0100

slony1 (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 12 Mar 2007 11:32:51 +0100

slony1 (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Wed, 17 Jan 2007 10:09:15 +0100

slony1 (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon,  8 Jan 2007 12:43:37 +0100

slony1 (1.2.2-1) unstable; urgency=low

  * New upstream release
    - Updated 07_sample.patch, 10_perltools-start.patch
    - Obsoleted patches: make-clean.patch
  * Fixed slony_show_configuration

 -- Peter Eisentraut <petere@debian.org>  Wed, 20 Dec 2006 10:51:28 +0100

slony1 (1.2.1-1) unstable; urgency=low

  * New upstream release
    - Updated no-client-log.patch
    - Obsoleted patches: hardcoded-paths.patch
  * Updated watch file
  * Reenabled Perl tools
  * Added missing final newline to slon.conf-sample
  * Updated test script

 -- Peter Eisentraut <petere@debian.org>  Fri, 17 Nov 2006 17:19:48 +0100

slony1 (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Updated 05_includedir-order.patch
    - Obsoleted patches: 01_configure.patch, 06_mansect.patch
  * Don't build broken Slony-I-concept.pdf
  * Specify pgpkglibdir manually, drop build dependency on postgresql
    server package
  * Use --with-perlsharedir option
  * Removed creation of spurious directories under /var/log/slony1
  * Disabled Perl tools because of massive security problems

 -- Peter Eisentraut <petere@debian.org>  Thu, 19 Oct 2006 15:39:11 +0200

slony1 (1.1.5-4) unstable; urgency=low

  * Added Perl tools
  * Added $local_fs to LSB init script headers

 -- Peter Eisentraut <petere@debian.org>  Wed, 18 Oct 2006 11:43:35 +0200

slony1 (1.1.5-3) unstable; urgency=medium

  * Changed recommendation of ntp-server to ntp (closes: #380371)
  * Fixed init script LSB dependency information

 -- Peter Eisentraut <petere@debian.org>  Fri, 15 Sep 2006 14:25:26 +0200

slony1 (1.1.5-2) unstable; urgency=medium

  * Added -c to su invocation in init script to cope with new su behavior
    (closes: #367700)
  * Updated standards version
  * Put the slonik command man pages in the right directory

 -- Peter Eisentraut <petere@debian.org>  Wed, 24 May 2006 14:22:10 +0200

slony1 (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Built against PostgreSQL 8.1
  * Fixed man page build
  * Fixed include directories (closes: #359959)

 -- Peter Eisentraut <petere@debian.org>  Tue,  4 Apr 2006 12:31:11 +0200

slony1 (1.1.2-3) experimental; urgency=low

  * Added build dependency on postgresql-8.0

 -- Peter Eisentraut <petere@debian.org>  Sun, 15 Jan 2006 23:19:28 +0100

slony1 (1.1.2-2) experimental; urgency=low

  * Changed to quilt for patches
  * Fixed include directory order to handle mixed-version
    libpq-dev/postgresql-server-dev installations that can happen on
    Debian
  * Changed to debhelper level 5
  * Create /var/run/slony1 in the init script rather than in the package

 -- Peter Eisentraut <petere@debian.org>  Sat, 14 Jan 2006 18:13:08 +0100

slony1 (1.1.2-1) experimental; urgency=low

  * Initial release (closes: #278810)
  * orig.tar.gz was rebuilt without broken upstream debian directory

 -- Peter Eisentraut <petere@debian.org>  Fri, 25 Nov 2005 00:28:38 +0100
